Summary:	Dropbox extension for Caja file manager
Summary(pl.UTF-8):	Rozszerzenie Dropbox dla zarządcy plików Caja
Name:		caja-dropbox
Version:	1.22.1
Release:	1
License:	GPL v3+ (code), CC-BY-ND v3.0 (images)
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.22/%{name}-%{version}.tar.xz
# Source0-md5:	d83e2913454d2b7da026bed377108b50
Patch0:		dropboxd-path.patch
Patch1:		python-gpg-pkg.patch
URL:		http://getdropbox.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	caja-devel >= 1.17.1
# rst2man
BuildRequires:	docutils
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-docutils
BuildRequires:	python3-pygobject3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	caja >= 1.17.1
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3
Requires:	python3-pygobject3
Requires:	python3-modules
Requires:	xdg-utils
Suggests:	dropbox
Suggests:	python3-gpg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dropbox extension for Caja file manager, used as sync, versioning and
backup software for your local and remote resources between a number
of machines.

%description -l pl.UTF-8
Rozszerzenie Dropbox dla zarządcy plików Caja, służące do
synchronizacji, obsługi wersji oraz tworzenia kopii zapasowych zasobów
lokalnych oraz zdalnych pomiędzy określonymi maszynami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/caja/extensions-2.0/libcaja-dropbox.so
%{_datadir}/caja/extensions/libcaja-dropbox.caja-extension
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/emblems
%{_datadir}/%{name}/emblems/*.icon
%{_datadir}/%{name}/emblems/*.png
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/caja-dropbox.png
%{_mandir}/man1/caja-dropbox.1*
%changelog
* Tue Apr 23 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/caja-dropbox.git;a=log;h=master

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 0014eb8
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> c043ea4
- up to 1.22.0

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> e8c6c53
- up to 1.20.0

* Tue Mar 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 91de800
- versioned glib2 dependency

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 4011064
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 378ed4a
- up to 1.16.0

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> cd86db6
- up to 1.14.0

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> fab60de
- adjusted autotools usage

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> a705c0a
- up to 1.12.0

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 5961ad4
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 15c95a3
- libffi rebuild
- release 2 (by relup.sh)

* Mon Aug 11 2014 Elan Ruusamäe <glen@delfi.ee> 864847a
- up to 1.8.0 (no functional changes for pld), drop applied patches by upstream (finally)

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fb03ee3
- revised dependencies and License

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> a24284f
- cleanup unused BR

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 632ba7f
- fix package python package name

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 55fa240
- fixing download

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 1a12afc
- require tools needed for installer gui

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 4f1b51b
- requires python-modules for traceback module

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> ad4ee73
- suggest dropbox package

* Tue Mar 25 2014 Elan Ruusamäe <glen@delfi.ee> 731add4
- release 2 (by relup.sh)

